#!/bin/zsh -e
source common.zsh
autoload colors
colors

OPTS=(--clang)

zparseopts -D -K -clang+=OPTS -gcc+=OPTS -arm64+=OPTS -i686+=OPTS

if [ "$#" -lt 1 ]; then
	echo "Usage: $0 {remote host, ...}"
	exit 1
fi

case ${OPTS[-1]} in
--clang) export CC=clang ;;
--gcc) export CC=gcc ;;
--arm64) export CC=gcc
	 export ARCH=arm64
	 export CROSS_COMPILE=aarch64-linux-gnu-
	 ;;
--i686) export CC=gcc
        export ARCH=i386
	;;
esac

PKGDEST=packages makepkg -f
PKGDEST=packages deploypkg.zsh $(makepkg --packagelist) $*

pkgname=$(grep ^pkgname PKGBUILD | awk -F= '{print $2}')

for vm in $*; do
	title=$(ssh $vm grub-list.zsh -e | grep $pkgname$)
	ssh $vm "sudo grub-reboot \"$title\""
done

echo

vm.zsh reboot $*
echo

tags=($(FORCE_COLOR=1 python $COLORS/vm.py $*))
for ((i=1; i<=$#; i++)); do
	echo "${tags[i]} $fg_bold[default]$(ssh ${@[i]} uname -rsn)$reset_color"
done
