#!/bin/zsh
source common.zsh

SCRIPTS=(grub-list.zsh setup.zsh setup/ run/)

function install_script() {
	ssh $1 mkdir -p .local/bin/{setup,run}
	echo -n "$2 Copying files ..."
	for script in $SCRIPTS; do
		scp -qr $BIN/$script $1:.local/bin/
	done
	ssh $1 cp .local/bin/setup.zsh .local/bin/run.zsh
	echo " done"
}

tags=($(FORCE_COLOR=1 python $COLORS/vm.py $*))
for ((i=1; i<=${#@}; i++)); do
	install_script ${@[i]} ${tags[i]}
done
