#!/bin/zsh

zparseopts -D -K \
	-nfs+=WHO -nfsd+=WHO -nfsutils+=WHO -xfstests+=WHO -fstests+=WHO \
	-linus+=WHO

if [[ ${#WHO} -eq 0 ]]; then
	echo "Who to submit to?"
	exit 1
fi

TO=(--to=linux-nfs@vger.kernel.org)
for who in $WHO; do
	case $who in
	--nfs) TO+=(--to=trond.myklebust@hammerspace.com) ;;
	--nfsd) TO+=(--to=chuck.lever@oracle.com) ;;
	--nfsutils) TO+=(--to=steved@redhat.com) ;;
	--linus) TO+=(--to=torvalds@linux-foundation.org) ;;
	--xfstests | --fstests) TO+=(--to=fstests@vger.kernel.org) ;;
	esac
done

TO+=(--cc=anna@kernel.org)

git send-email $TO $*
